# MongoClient::selectDB

(PECL mongo >=1.3.0)

MongoClient::selectDB — Gets a database

This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this method in the new extension, but there is an alternative in the PHP library:

- » MongoDB\Client::selectDatabase()

### Description

public MongoClient::selectDB ( string `$name` ) : MongoDB

### Parameters

`name`

  The database name.

### Return Values

Returns a new database object.

### Errors/Exceptions

Throws Exception if the database name is invalid.